# sigc::slot< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil > Class Template Reference

Convenience wrapper for the numbered sigc::slot2 template. More...

Inherits sigc::slot2< T_return, T_arg1, T_arg2 >.

Collaboration diagram for sigc::slot< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil >:
[legend]

List of all members.

## Public Types

typedef slot2< T_return, T_arg1, T_arg2 > | parent_type

## Public Member Functions

template<class T_functor >
| slot (const T_functor& _A_func)
| Constructs a slot from an arbitrary functor.
| slot (const slot& src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2>
class sigc::slot< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil >

Convenience wrapper for the numbered sigc::slot2 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::slot template for 2 argument(s), specialized for different numbers of arguments This is possible because the template has default (nil) template types.

## Constructor & Destructor Documentation

template <class T_return , class T_arg1 , class T_arg2 >
template <class T_functor >

sigc::slot< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil >::slot | ( | const T_functor & | _A_func | ) | `[inline]`

Constructs a slot from an arbitrary functor.

Parameters:

  | _A_func | The desirer functor the new slot should be assigned to.

The documentation for this class was generated from the following file:

- sigc++/functors/slot.h